aboutsummaryrefslogtreecommitdiffstats
path: root/main/gnome-doc-utils/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-26 13:32:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-26 13:32:33 +0000
commit87f8759070b371700c85cc7194f07e2fc149e131 (patch)
tree21060a1437e5d1122eb5503c342fdba27d84bb1c /main/gnome-doc-utils/APKBUILD
parent08bbe196fd37738e5dbc7769900ac5a9e861fffd (diff)
downloadaports-87f8759070b371700c85cc7194f07e2fc149e131.tar.gz
aports-87f8759070b371700c85cc7194f07e2fc149e131.tar.bz2
aports-87f8759070b371700c85cc7194f07e2fc149e131.tar.xz
main/gnome-doc-utils: upgraded to 0.18.1
provide a workaround for broken xsltproc. seems like xsltproc does not handle inputfiles from - (stdin) properly.
Diffstat (limited to 'main/gnome-doc-utils/APKBUILD')
-rw-r--r--main/gnome-doc-utils/APKBUILD36
1 files changed, 26 insertions, 10 deletions
diff --git a/main/gnome-doc-utils/APKBUILD b/main/gnome-doc-utils/APKBUILD
index 9641482c7f..e58bf8fd92 100644
--- a/main/gnome-doc-utils/APKBUILD
+++ b/main/gnome-doc-utils/APKBUILD
@@ -1,20 +1,36 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gnome-doc-utils
-pkgver=0.16.1
+pkgver=0.18.1
pkgrel=0
pkgdesc="Documentation utilities for Gnome"
url="http://www.gnome.org"
license="GPL LGPL"
depends="python docbook-xml rarian"
makedepends="libxslt-dev libxml2-dev perl-xml-parser rarian-dev pkgconfig
- gettext-dev"
-source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/0.16/$pkgname-$pkgver.tar.bz2"
+ gettext-dev intltool"
+source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.bz2
+ xslt.patch"
-build ()
-{
- cd ""$srcdir"/$pkgname-$pkgver"
- ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --localstatedir=/var --disable-scrollkeeper || return 1
- make || return 1
- make DESTDIR=""$pkgdir"" install || return 1
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ patch -p1 -i "$srcdir"/xslt.patch
}
-md5sums="85d4bba44773f6162de72e81e8bd0ab0 gnome-doc-utils-0.16.1.tar.bz2"
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --disable-scrollkeeper || return 1
+ # broken with parallell builds
+ make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="c98ca796f3f2938a1fced7476e65351e gnome-doc-utils-0.18.1.tar.bz2
+6aa99cdd5dec2eb887f7ca4976ec840e xslt.patch"